<?php
// 定义 ACL 表
$acl = array(
    "cto" => array("r_1.php", "r_2.php", "r_3.php"),
    "manager" => array("r_2.php", "r_3.php"),
    "staff" => array("r_3.php")
);

// 定义检查权限的函数
function checkAccess($role, $resource) {
    global $acl;
    if (isset($acl[$role]) && in_array($resource, $acl[$role])) {
        return true; // 有权限
    }
    return false; // 无权限
}

