<?php
include_once "db_config.php";
// 创建数据库连接
$conn = $link;
// 检查连接是否成功
if ($conn->connect_error) {
    die("数据库连接失败: " . $conn->connect_error);
}

// 设置字符集
$conn->set_charset("utf8");

// 创建患者表
$sql_patient = "
    CREATE TABLE IF NOT EXISTS patient_90 (
        patient_id CHAR(50),
        patient_name CHAR(50),
        patient_gender CHAR(1),
        patient_address CHAR(50)
    ) ENGINE=MyISAM DEFAULT CHARSET=utf8;
";

if ($conn->query($sql_patient) === TRUE) {
    echo "患者表创建成功！<br>";
} else {
    echo "创建患者表失败: " . $conn->error . "<br>";
}

// 创建医生表
$sql_doctor = "
    CREATE TABLE IF NOT EXISTS doctor_90 (
        doctor_id CHAR(50),
        doctor_name CHAR(50),
        doctor_gender CHAR(1),
        department_id CHAR(50)
    ) ENGINE=MyISAM DEFAULT CHARSET=utf8;
";

if ($conn->query($sql_doctor) === TRUE) {
    echo "医生表创建成功！<br>";
} else {
    echo "创建医生表失败: " . $conn->error . "<br>";
}

// 创建科室表
$sql_department = "
    CREATE TABLE IF NOT EXISTS department_90 (
        department_id CHAR(50),
        department_name CHAR(50),
        department_location CHAR(50)
    ) ENGINE=MyISAM DEFAULT CHARSET=utf8;
";

if ($conn->query($sql_department) === TRUE) {
    echo "科室表创建成功！<br>";
} else {
    echo "创建科室表失败: " . $conn->error . "<br>";
}

// 创建挂号表
$sql_register = "
    CREATE TABLE IF NOT EXISTS register_90 (
        biz_id CHAR(50),
        doctor_id CHAR(50),
        patient_id CHAR(50),
        register_date INT,
        fee INT,
        state CHAR(1)
    ) ENGINE=MyISAM DEFAULT CHARSET=utf8;
";

if ($conn->query($sql_register) === TRUE) {
    echo "挂号表创建成功！<br>";
} else {
    echo "创建挂号表失败: " . $conn->error . "<br>";
}

// 插入测试数据
$sql_insert = "
    INSERT IGNORE INTO patient_90 (patient_id, patient_name, patient_gender, patient_address) VALUES
    ('510103001', '张三', '1', '成都'),
    ('510103002', '李四', '2', '重庆');

    INSERT IGNORE INTO doctor_90 (doctor_id, doctor_name, doctor_gender, department_id) VALUES
    ('510105001', '王医生', '2', '001'),
    ('510105002', '罗医生', '1', '002'),
    ('510105003', '陈医生', '1', '001');

    INSERT IGNORE INTO department_90 (department_id, department_name, department_location) VALUES
    ('001', '内科', '1楼2诊室'),
    ('002', '外科', '1楼5诊室');
";

if ($conn->multi_query($sql_insert) === TRUE) {
    echo "测试数据插入成功！<br>";
} else {
    echo "插入测试数据失败: " . $conn->error . "<br>";
}

// 关闭数据库连接
$conn->close();
?>
